Page MenuHomePhabricator

Disable the "try syntax highlighting" popup for all users
Closed, ResolvedPublic2 Estimate Story Points

Description

We need to test this behavior before deciding what to do with this ticket. Currently using Code Mirror requires being logged-in, but if we graduate it from beta it may be available to logged-out users.

Disable the "try syntax highlighting" popup for anonymous users

Details

Related Gerrit Patches:
mediawiki/extensions/CodeMirror : masterRemove 'Try syntax highlighting' popup for all users

Event Timeline

TBolliger updated the task description. (Show Details)

Yeah, I think disabling popup for anons altogether is the best idea.

Niharika renamed this task from The tooltip for Syntax Highlighting should only appear once for logged-out (anonymous) users to Kill popups.Apr 3 2018, 10:55 PM
Niharika set the point value for this task to 2.
TBolliger renamed this task from Kill popups to Disable the "try syntax highlighting" popup for anonymous users.Apr 5 2018, 12:47 PM
TBolliger updated the task description. (Show Details)

Renaming this so we remember what in the heck this is about in the future. 😆

TBolliger renamed this task from Disable the "try syntax highlighting" popup for anonymous users to Disable the "try syntax highlighting" popup for all users.Apr 11 2018, 11:54 PM
TBolliger edited projects, added Community-Tech-Sprint; removed Community-Tech.
gh87 removed a subscriber: gh87.Apr 12 2018, 1:19 AM

Change 425917 had a related patch set uploaded (by MusikAnimal; owner: MusikAnimal):
[mediawiki/extensions/CodeMirror@master] Remove 'Try syntax highlighting' popup for all users

https://gerrit.wikimedia.org/r/425917

MusikAnimal moved this task from Ready to Needs Review/Feedback on the Community-Tech-Sprint board.

Change 425917 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Remove 'Try syntax highlighting' popup for all users

https://gerrit.wikimedia.org/r/425917

Niharika closed this task as Resolved.Apr 18 2018, 9:53 PM
Niharika moved this task from Needs Review/Feedback to Q1 2018-19 on the Community-Tech-Sprint board.